import request from '@/utils/request'

// 查询资讯分类列表
export function listInformationCategory(query) {
    return request({
        url: '/system/InformationCategory/list',
        method: 'get',
        params: query
    })
}

// 查询资讯分类详细
export function getInformationCategory(id) {
    return request({
        url: '/system/InformationCategory/' + id,
        method: 'get'
    })
}

// 新增资讯分类
export function addInformationCategory(data) {
    return request({
        url: '/system/InformationCategory/add',
        method: 'post',
        data: data
    })
}

// 修改资讯分类
export function updateInformationCategory(data) {
    return request({
        url: '/system/InformationCategory/edit',
        method: 'post',
        data: data
    })
}

// 删除资讯分类
export function delInformationCategory(id) {
    return request({
        url: '/system/InformationCategory/' + id,
        method: 'delete'
    })
}
